## org.apache.xerces.validators.schema
Class TraverseSchema.ComplexTypeInfo

    java.lang.Object
      |
      +--org.apache.xerces.validators.schema.TraverseSchema.ComplexTypeInfo

Enclosing class:
  TraverseSchema

public class TraverseSchema.ComplexTypeInfo
extends java.lang.Object

Field Summary
`int` `attlistHead`
`TraverseSchema.ComplexTypeInfo` `baseComplexTypeInfo`
`DatatypeValidator` `baseDataTypeValidator`
`int` `blockSet`
`int` `contentSpecHandle`
`int` `contentType`
`DatatypeValidator` `datatypeValidator`
`int` `derivedBy`
`int` `finalSet`
`int` `miscFlags`
`int` `scopeDefined`
`int` `templateElementIndex`
`java.lang.String` `typeName`

Constructor Summary
`TraverseSchema.ComplexTypeInfo()`

Method Summary
`boolean` `containsAttrTypeID()`
`boolean` `declSeen()`
`boolean` `isAbstractType()`
`void` `setContainsAttrTypeID()`
`void` `setDeclSeen()`
`void` `setIsAbstractType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeName

    public java.lang.String typeName

### baseDataTypeValidator

    public DatatypeValidator baseDataTypeValidator

### baseComplexTypeInfo

    public TraverseSchema.ComplexTypeInfo baseComplexTypeInfo

### derivedBy

    public int derivedBy

### blockSet

    public int blockSet

### finalSet

    public int finalSet

### miscFlags

    public int miscFlags

### scopeDefined

    public int scopeDefined

### contentType

    public int contentType

### contentSpecHandle

    public int contentSpecHandle

### templateElementIndex

    public int templateElementIndex

### attlistHead

    public int attlistHead

### datatypeValidator

    public DatatypeValidator datatypeValidator

Constructor Detail

### TraverseSchema.ComplexTypeInfo

    public TraverseSchema.ComplexTypeInfo()

Method Detail

### isAbstractType

    public boolean isAbstractType()

### containsAttrTypeID

    public boolean containsAttrTypeID()

### declSeen

    public boolean declSeen()

### setIsAbstractType

    public void setIsAbstractType()

### setContainsAttrTypeID

    public void setContainsAttrTypeID()

### setDeclSeen

    public void setDeclSeen()

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.